## xcsoar-7.9.tar.xz

=== Makefile ===
#
# This is the XCSoar build script.  To compile XCSoar, you must
# specify the target platform, e.g. for Android, type:
#
#   make TARGET=ANDROID
#
# The following parameters may be specified on the "make" command
# line:
#
#   TARGET      The name of the target platform.  See the TARGETS variable
#               in build/targets.mk for a list of valid target platforms.
#
#   HEADLESS    If set to "y", no UI is available.
#
#   VFB         "y" means software rendering to non-interactive virtual
#               frame buffer
#
#   USE_FB      "y" means software rendering to /dev/fb0
#
#   ENABLE_SDL  If set to "y", the UI is drawn with libSDL.
#
#   OPENGL      "y" means render with OpenGL.
#
#   GLES        "y" means render with OpenGL/ES.
#
#   GREYSCALE   "y" means render 8-bit greyscale internally
#
#   DITHER      "y" means dither to 1-bit black&white
#
#   EYE_CANDY   "n" disables eye candy rendering.
#
#   ICF         "y" enables Identical Code Folding (gold --icf=all)
#
#   DEBUG       If set to "y", the debugging version of XCSoar is built
#               (default is "y")
#
#   WERROR      Make all compiler warnings fatal (default is $DEBUG)
#
#   V           Verbosity; 1 is the default, and prints terse information.
#               0 means quiet, and 2 prints the full compiler commands.
#
#   LTO         "y" enables gcc's link-time optimization flag (experimental,
#               requires gcc 4.5)
#
#   THIN_LTO    "y" enables ThinLTO (https://clang.llvm.org/docs/ThinLTO.html)
#
#   CLANG       "y" to use clang instead of gcc
#
#   ANALYZER    "y" to support the clang analyzer
#
#   LLVM        "y" to compile LLVM bitcode with clang
#
#   LIBCXX      "y" to compile with libc++, or the absolute path of the
#               libc++ svn/git working directory.
#
#   IWYU        "y" to run "include-what-you-use" on all sources
#

.DEFAULT_GOAL := all

topdir = .

-include $(topdir)/build/local-config.mk

include $(topdir)/build/make.mk
include $(topdir)/build/thunk.mk
include $(topdir)/build/bool.mk
include $(topdir)/build/string.mk
include $(topdir)/build/dirs.mk
include $(topdir)/build/verbose.mk
include $(topdir)/build/util.mk
include $(topdir)/build/detect.mk
include $(topdir)/build/targets.mk
include $(topdir)/build/thirdparty.mk
include $(topdir)/build/pkgconfig.mk
include $(topdir)/build/languages.mk
include $(topdir)/build/options.mk
include $(topdir)/build/debug.mk
include $(topdir)/build/abi.mk
include $(topdir)/build/coverage.mk
include $(topdir)/build/libintl.mk

ifeq ($(HEADLESS),y)
else
include $(topdir)/build/libglm.mk
include $(topdir)/build/vfb.mk
include $(topdir)/build/fb.mk
include $(topdir)/build/wayland.mk
include $(topdir)/build/egl.mk
include $(topdir)/build/glx.mk
include $(topdir)/build/opengl.mk
endif

include $(topdir)/build/flags.mk
include $(topdir)/build/charset.mk
include $(topdir)/build/warnings.mk
include $(topdir)/build/compile.mk
include $(topdir)/build/link.mk
include $(topdir)/build/resource.mk
include $(topdir)/build/libdata.mk
include $(topdir)/build/java.mk
include $(topdir)/build/android.mk
include $(topdir)/build/llvm.mk
include $(topdir)/build/tools.mk
include $(topdir)/build/version.mk
include $(topdir)/build/darwin.mk
include $(topdir)/build/ios.mk
include $(topdir)/build/osx.mk
include $(topdir)/build/generate.mk
include $(topdir)/build/doxygen.mk
include $(topdir)/build/manual.mk

include $(topdir)/build/libboost.mk
INCLUDES += $(BOOST_CPPFLAGS)

include $(topdir)/build/libjson.mk

# Create libraries for zzip, jasper and compatibility stuff
include $(topdir)/build/libresource.mk
include $(topdir)/build/liblook.mk
include $(topdir)/build/libstdcxx.mk
include $(topdir)/build/libutil.mk
include $(topdir)/build/libmath.mk
include $(topdir)/build/libgeo.mk
include $(topdir)/build/libos.mk
include $(topdir)/build/libtime.mk
include $(topdir)/build/libprofile.mk
include $(topdir)/build/libnet.mk
include $(topdir)/build/libhttp.mk
include $(topdir)/build/sdl.mk
include $(topdir)/build/alsa.mk
include $(topdir)/build/zlib.mk
include $(topdir)/build/zzip.mk
include $(topdir)/build/libcrypto.mk
include $(topdir)/build/jasper.mk
include $(topdir)/build/libport.mk
include $(topdir)/build/driver.mk
include $(topdir)/build/libio.mk
include $(topdir)/build/shapelib.mk
include $(topdir)/build/libwaypoint.mk
include $(topdir)/build/libairspace.mk
include $(topdir)/build/libtask.mk
include $(topdir)/build/libroute.mk
include $(topdir)/build/libcontest.mk
include $(topdir)/build/libglide.mk
include $(topdir)/build/datafield.mk
include $(topdir)/build/libevent_options.mk
include $(topdir)/build/udev.mk
include $(topdir)/build/libevent.mk
include $(topdir)/build/freetype.mk
include $(topdir)/build/libpng.mk
include $(topdir)/build/libjpeg.mk
include $(topdir)/build/libtiff.mk
include $(topdir)/build/coregraphics.mk
include $(topdir)/build/appkit.mk
include $(topdir)/build/uikit.mk
include $(topdir)/build/screen.mk
include $(topdir)/build/libthread.mk
include $(topdir)/build/libasync.mk
include $(topdir)/build/form.mk
include $(topdir)/build/libwidget.mk
include $(topdir)/build/libaudio.mk
include $(topdir)/build/libterrain.mk
include $(topdir)/build/lua.mk
include $(topdir)/build/harness.mk

ifeq ($(FUZZER),y)
include $(topdir)/build/fuzzer.mk
else
include $(topdir)/build/vali.mk
include $(topdir)/build/main.mk
include $(topdir)/build/cloud.mk
include $(topdir)/build/kobo.mk
include $(topdir)/build/test.mk
endif

include $(topdir)/build/hot.mk

ifeq ($(FUZZER),n)
include $(topdir)/build/python.mk
endif

# Load local-config a second time
# to set (override) choices for GXX and friends.
-include $(topdir)/build/local-config.mk

######## output files

ifeq ($(FUZZER),n)
include $(topdir)/build/dist.mk
include $(topdir)/build/install.mk
endif

######## compiler flags

INCLUDES += -I$(SRC) -I$(ENGINE_SRC_DIR)

####### sources

include $(topdir)/build/gettext.mk

ifeq ($(FUZZER),n)

ifeq ($(FAT_BINARY),n)
OUTPUTS := $(XCSOAR_BIN) $(VALI_XCS_BIN)
endif

ifeq ($(TARGET),ANDROID)
OUTPUTS += $(ANDROID_BIN)/XCSoar-debug.apk
endif

ifeq ($(TARGET_IS_KOBO),y)
OUTPUTS += $(KOBO_MENU_BIN) $(KOBO_POWER_OFF_BIN)
endif

ifeq ($(HAVE_WIN32),y)
OUTPUTS += $(LAUNCH_XCSOAR_BIN)
endif

endif

all: $(OUTPUTS)
everything: $(OUTPUTS) $(OPTIONAL_OUTPUTS) debug build-check build-harness

clean:
	@$(NQ)echo "cleaning all"
	$(Q)rm -rf build/local-config.mk
	$(Q)rm -rf $(OUT)
	$(RM) $(BUILDTESTS)

.PHONY: all everything clean FORCE

ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/src/*/*/*/*/*/*.d)
endif
ifneq ($(wildcard $(ABI_OUTPUT_DIR)/test/src/*.d),)
include $(wildcard $(ABI_OUTPUT_DIR)/test/src/*.d)
endif

=== debian/changelog ===
xcsoar (7.9) unstable; urgency=medium

  * new release

 --

xcsoar (7.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 02 Jun 2021 18:48:13 +0200

xcsoar (7.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 14 May 2021 19:30:48 +0200

xcsoar (7.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 01 May 2021 15:35:13 +0200

xcsoar (7.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Fri, 30 Apr 2021 09:02:01 +0200

xcsoar (7.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 08 Apr 2021 20:41:23 +0200

xcsoar (7.3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 07 Apr 2021 00:09:12 +0200

xcsoar (6.8.17) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 22 Sep 2020 16:45:52 +0200

xcsoar (6.8.16) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sun, 26 Jul 2020 21:37:05 +0200

xcsoar (6.8.15) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 13 Jun 2020 14:13:56 +0200

xcsoar (6.8.14) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Thu, 14 May 2020 22:24:07 +0200

xcsoar (6.8.13) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Wed, 08 Apr 2020 16:23:42 +0200

xcsoar (6.8.12) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Tue, 30 Apr 2019 21:08:05 +0200

xcsoar (6.8.11) unstable; urgency=medium

  * new release

 -- Max Kellermann <max.kellermann@gmail.com>  Sat, 18 Aug 2018 16:36:41 +0200

xcsoar (6.8.10) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Sat, 07 Oct 2017 17:33:28 +0200

xcsoar (6.8.9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Tue, 05 Oct 2017 10:08:31 +0200

xcsoar (6.8.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Sat, 09 Sep 2017 12:23:38 +0200

xcsoar (6.8.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@xcsoar.org>  Fri, 12 Aug 2016 23:21:49 +0200

xcsoar (6.8.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 Jul 2016 18:19:13 +0200

xcsoar (6.8.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sun, 12 Jun 2016 14:12:56 +0200

xcsoar (6.8.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 18 May 2016 10:23:36 +0200

xcsoar (6.8.3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 09 Mar 2016 14:10:56 +0100

xcsoar (6.8.2) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 19 Sep 2015 21:13:24 +0200

xcsoar (6.8.1) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 27 Aug 2015 20:16:28 +0200

xcsoar (6.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 18 Aug 2015 17:18:36 +0200

xcsoar (6.8~beta2) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 07 Aug 2015 17:25:08 +0200

xcsoar (6.8~beta1) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 05 Aug 2015 10:43:10 +0200

xcsoar (6.8~alpha9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 24 Jul 2015 17:58:20 +0200

xcsoar (6.8~alpha8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 17 Jun 2015 03:15:16 +0200

xcsoar (6.8~alpha7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 13 Jun 2015 22:05:24 +0200

xcsoar (6.8~alpha6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 12 Jun 2015 14:20:53 +0200

xcsoar (6.8~alpha5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 28 May 2015 20:33:25 +0200

xcsoar (6.8~alpha4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 20 May 2015 14:32:35 +0200

xcsoar (6.8~alpha3) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 16 May 2015 01:49:13 +0200

xcsoar (6.8~alpha2) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Mon, 04 May 2015 17:10:30 +0200

xcsoar (6.8~alpha1) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Tue, 14 Apr 2015 11:50:48 +0200

xcsoar (6.7.9) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 03 Jul 2015 00:08:06 +0200

xcsoar (6.7.8) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 22 May 2015 19:55:41 +0200

xcsoar (6.7.7) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 20 Feb 2015 14:15:27 +0100

xcsoar (6.7.6) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Sat, 18 Oct 2014 21:56:38 +0200

xcsoar (6.7.5) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Mon, 09 Jun 2014 14:14:49 +0200

xcsoar (6.7.4) unstable; urgency=medium

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 11 Apr 2014 11:12:02 +0200

xcsoar (6.7.3) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Wed, 22 Jan 2014 12:39:55 +0100

xcsoar (6.7.2) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Thu, 19 Dec 2013 01:51:34 +0100

xcsoar (6.7.1) unstable; urgency=low

  * new release

 -- Max Kellermann <max@duempel.org>  Fri, 11 Oct 2013 18:30:04 +0200

xcsoar (6.7) unstable; urgency=low

  * new release



=== debian/control ===
Source: xcsoar
Section: misc
Priority: extra
Maintainer: Max Kellermann <max.kellermann@gmail.com>
Build-Depends: debhelper (>= 9),
 g++ (>= 4:4.6),
 libraspberrypi-dev | libegl1-mesa-dev | libsdl2-dev,
 libfreetype6-dev,
 libgl-dev,
 libgl1-mesa-dev,
 libpng-dev, libjpeg-dev,
 libsodium-dev,
 libtiff5-dev | libtiff-dev, libgeotiff-dev,
 libasound2-dev,
 libcurl-dev,
 libc-ares-dev,
 liblua5.2-dev,
 librsvg2-bin, imagemagick (>= 7:6.4), xsltproc,
 ffmpeg,
 gettext
Build-Depends-Indep:  texlive, texlive-latex-extra,
 texlive-luatex,
 texlive-lang-english | texlive-lang-ukenglish,
 texlive-lang-german, texlive-lang-french,
 texlive-lang-polish, texlive-lang-portuguese,
 latex-xcolor, pgf,
 liblocale-po-perl, libio-captureoutput-perl
Standards-Version: 3.9.1.0
Homepage: http://www.xcsoar.org/

Package: xcsoar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 fonts-dejavu | fonts-roboto | fonts-droid | ttf-dejavu
Suggests: xcsoar-doc, vali-xcs
Description: tactical glide computer
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).

Package: vali-xcs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IGC G-record validation for XCSoar
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package provides the program "vali-xcs", which validates
 signatures generated by XCSoar.

Package: xcsoar-doc
Architecture: all
Description: XCSoar manual
 XCSoar is a tactical glide computer.  It was initially developed for
 Pocket PC (Windows CE).
 .
 This package contains the manuals.
